cdist-type__autofs_map(7)
=========================
Manage autofs maps

Steven Armstrong <steven-cdist--@--armstrong.cc>


DESCRIPTION
-----------
This cdist type allows you to define maps for autofs.


OBJECT ID
---------
The object_id is used as the mount-point as described in auto.master(5).


REQUIRED PARAMETERS
-------------------
map
   Name of the map to use. See auto.master(5).


OPTIONAL PARAMETERS
-------------------
type
   Type of map used for this mount point. Defaults to 'file'.
   See map-type in auto.master(5) for possible values.

options
   See auto.master(5).

comment
   A comment describing this map. Is added to the generated entry in
   auto.master.


BOOLEAN PARAMETERS
------------------
noreload
   don't reload autofs after the entry has been changed


EXAMPLES
--------

.. code-block:: sh

    # Add auto mounter at /net and reload
    __autofs_map /net --map /etc/auto.net --type program

    # Add auto mounter at /pub and don't reload
    __autofs_map /pub \
       --map /etc/auto.pub \
       --type file \
       --options "nosuid,rw,bg,hard,intr --ghost" \
       --noreload


SEE ALSO
--------
- `cdist-type(7) <cdist-type.html>`_
- `cdist-type__autofs_reload(7) <cdist-type__autofs_reload.html>`_


COPYING
-------
Copyright \(C) 2012 Steven Armstrong. Free use of this software is
granted under the terms of the GNU General Public License version 3 (GPLv3).
